%define		realname	libdynamite
Summary:	SynCE Dynamite - a tool to use data compressed with PKWARE DCL
Summary(pl.UTF-8):	SynCE Dynamite - narzędzie do dekompresji danych spakowanych PKWARE DCL
Name:		synce-dynamite
Version:	0.1.1
Release:	3
License:	MIT
Group:		Applications/File
Source0:	http://downloads.sourceforge.net/synce/%{realname}-%{version}.tar.gz
# Source0-md5:	238bf243dba2166a2e0e141b18065235
Patch0:		%{name}-ac.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	dynamite
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dynamite is a tool for decompressing data compressed with PKWARE Data
Compression Library and it was created from the specification provided
by a post in the comp.compression newsgroup.

%description -l pl.UTF-8
Dynamite jest narzędziem służącym do dekompresji danych spakowanych za
pomocą PKWARE Data Compression Library. Zostało stworzone zgodnie ze
specyfikacją zamieszczoną w wiadomości wysłanej na grupę dyskusyjną
comp.compression.

%package libs
Summary:	The Dynamite library
Summary(pl.UTF-8):	Biblioteka Dynamite
Group:		Libraries
Obsoletes:	dynamite-libs

%description libs
The dynamite library. It is needed to squeeze out juicy .cab files
from self-extracting installation programs created by the Setup
Factory installation program.

%description libs -l pl.UTF-8
Biblioteka Dynamite, służąca do wydobywania plików .cab z programów
instalacyjnych utworzonych za pomocą programu Setup Factory.

%package libs-devel
Summary:	Header files for the Dynamite library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Dynamite
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	dynamite-devel

%description libs-devel
Header files for the Dynamite library.

%description libs-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Dynamite.

%package libs-static
Summary:	Static Dynamite library
Summary(pl.UTF-8):	Statyczna biblioteka Dynamite
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}
Obsoletes:	dynamite-static

%description libs-static
Static Dynamite library.

%description libs-static -l pl.UTF-8
Statyczna biblioteka Dynamite.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/dynamite
%{_mandir}/man1/dynamite.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdynamite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdynamite.so.0

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdynamite.so
%{_libdir}/libdynamite.la
%{_includedir}/libdynamite.h
%{_pkgconfigdir}/libdynamite.pc

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libdynamite.a
%changelog
* Fri Aug 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/synce-dynamite.git;a=log;h=master

* Fri Aug 07 2015 Jan Rękorajski <baggins@pld-linux.org> c40f7b4
- release 3 (by relup.sh)

* Mon Feb 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 3f25a82
- pl and Group cosmetics

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> d4dc8c5
- obsoletes dynamite.spec

* Fri Oct 24 2008 Szymon Siwek <sls@pld-linux.org> ce66bd5
- useless in 0.1.1

* Fri Oct 24 2008 Szymon Siwek <sls@pld-linux.org> aa452cf
- rm useless and undefined AC_LIB_RPATH

* Fri Oct 24 2008 Szymon Siwek <sls@pld-linux.org> a4f407d
- added ac.patch; removed am18.patch and pc.patch
- packaged manual and ghost symlink; no more dynamite.m4

* Fri Oct 24 2008 Szymon Siwek <sls@pld-linux.org> f8e3a65
- ver. 0.1.1 (NFY)

* Tue Dec 18 2007 Elan Ruusamäe <glen@pld-linux.org> 90e053e
- rel 4

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> fb964bc
- add pkgconfig file; rel 3

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> c52a14d
- patch also configure.ac

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2d116eb
- pkgconfig file based on svn

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 181b78e
- added am18 patch to kill aclocal warning with -devel installed
- release 2

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 4f23b28
- fix underquoted AM_PATH_LIBDYNAMITE definition

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1efe20b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9ead834
- converted to UTF-8

* Mon Dec 11 2006 Elan Ruusamäe <glen@pld-linux.org> 2239a7d
- new URL

* Sun Oct 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 23e710f
- deps really fixed

* Sun Oct 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 8589eac
- libs Group, deps fixes

* Sat Oct 29 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> 77357ce
- new in PLD

